include ../../Makefile.def
# List of include file directories required for compilation
INCLUDES = -I inc/\

# List of source files required for compilation
SRC = src/*.c\

# Command to compile source files to intermediate object files
all:
	$(CC) $(CFLAGS) -c $(SRC) $(INCLUDES)
	ar rcs libcomms_lib.a comms_al.o
# Command to delete intermediate object files

clean:
	rm -f ./*.o
	rm -f ./*.a